<template>
  <div>
    <h4 class="font-weight-bold text-center mb-2">Recupera tu contraseña</h4>
    <b-alert
      v-model="showOkAlert"
      variant="info"
      class="text-center"
    >
      Email enviado. Revisa tu correo para reestablecer tu contraseña.
    </b-alert>
    <b-alert
      v-model="showDangerAlert"
      variant="danger"
      class="text-center"
    >
      Ha ocurrido un problema recuperando la contraseña. Prueba más tarde.
    </b-alert>
    <form class="mb-8" @submit.prevent="resetPassword">
      <div class="form-group">
        <label for="email">
          Dirección de Email
        </label>
        <input
          type="email"
          v-model="email"
          class="form-control"
          id="email"
          placeholder="mail@dominio.com"
        />
      </div>
      <button class="btn btn-block btn-primary lift" type="submit">
        Enviar enlace de reestablecimiento de contraseña
      </button>
      <p class="mt-5 text-center">
        Volver al
        <span>
          <router-link :to="{name: 'login'}">
            Login
          </router-link>
        </span>
      </p>
    </form>
  </div>
</template>

<script>
import { mapActions } from "vuex";
export default {
  name: "recover-pass-form-new-request",
  data() {
    return {
      email: "",
      showOkAlert: false,
      showDangerAlert: false
    };
  },
  created() {},
  methods: {
    ...mapActions({
      RESET_PASSWORD: "auth/RESET_PASSWORD"
    }),
    resetPassword() {
      this.RESET_PASSWORD({ email: this.email }).then(
        () => {
          this.showOkAlert = true;
          this.showDangerAlert = false;
        },
        () => {
          this.showOkAlert = false;
          this.showDangerAlert = true;
        }
      );
    }
  }
};
</script>

<style lang="scss" scoped>
form {
  max-width: 600px;
  margin: 0 auto;
}
</style>
